joliclic code

[Version Française]

Packer JavaScript en PHP


PHP Version of the Dean Edwards 's Packer de Dean Edwards, a JavaScript Compressor/Obfuscator.


LGPL 2.1



Need PHP 5 . Tested under PHP 5.1.2, 5.1.3, 5.1.4, 5.2.3.
New : an adaptation for PHP 4 is now available too in the archive.

date : 2008-04-09

See the source for the usage details, as well as the 2 examples in the archive.
For more precisions, see the usage page of Dean Edwards.

Thanks to Matthieu Paineau of the moregroupware project and to Mark Fabrizio who sent to me, almost at the same time, an adaptation (quasi identical) for PHP 4, I join it to the archive. I have made few basic tests, it seems without problems.


script to pack:

note : Absolutely no data is stored on the server.


1.1 :

Please, excuse me for my bad english, it's not my natural language, if some parts of this page seems wrong to you, feel free to suggest me better ones.